% Build script Linux only. Please send me working code for Windows and Mac.

% Create table-lookup C code with the options baked into create_code.py
system('python create_code.py');
% Build single-threaded version:
system('gcc -march=native -fPIC -O2 -ffast-math -pedantic -Wall -c -std=c99 texp.c');
mex CFLAGS="\$CFLAGS -march=native" tl_exp.c texp.o
% Recompile with OpenMP enabled:
system('gcc -march=native -fPIC -O2 -ffast-math -pedantic -fopenmp -Wall -c -std=c99 texp.c');
mex CFLAGS="\$CFLAGS -march=native" LDFLAGS="\$LDFLAGS -fopenmp" tl_exp.c texp.o -output tl_omp_exp

% Instead of the linking flags:
%     LDFLAGS="\$LDFLAGS -fopenmp"
% you could try putting *one* of the following at the end of the mex command:
%     -lgomp
%     -lguide
%     -liomp5
% The first is the OpenMP library that comes with gcc. The second two are
% libraries providing OpenMP that come with different versions of Matlab. If you
% managed to link with them (I haven't) things might work more seamlessly?


% Only build a single-threaded version of fexp. The current version isn't
% thread-safe, but could be made so by using the Cawley reference mentioned in
% the README file.
system('mex CFLAGS=''$CFLAGS -march=native'' fexp.c');

