function testme()

N = 1e6;
xx = randn(N,1)*10;

fprintf('%g        exp() evals take %g s\n', N, timeit(@() exp(xx)));
a1 = exp(xx);

fprintf('%g     tl_exp() evals take %g s\n', N, timeit(@() tl_exp(xx)));
a3 = tl_exp(xx);

if exist('maxNumCompThreads')
    % Mathworks have said they're removing the maxNumCompThreads function.
    % I'm not sure how I'm supposed to fairly compare to the number of threads
    % the builtin exp() is using if/when that happens.
    fprintf('Setting OMP_NUM_THREADS = maxNumCompThreads = %d\n', maxNumCompThreads);
    setenv('OMP_NUM_THREADS', int2str(maxNumCompThreads));
    clear tl_omp_exp
end
fprintf('%g tl_omp_exp() evals take %g s\n', N, timeit(@() tl_omp_exp(xx)));
a4 = tl_omp_exp(xx);

assert(isequal(a3, a4));

rel = abs(a3-a1)./a1;
fprintf('\ntl_exp() relative error: ave(abs()) = %g,  max = %g\n\n\n', mean(rel), max(rel));

fprintf('%g       fexp() evals take %g s\n', N, timeit(@() fexp(xx)));
a2 = fexp(xx);

rel = abs(a2-a1)./a1;
fprintf('  fexp() relative error: ave(abs()) = %g,  max = %g\n\n', mean(rel), max(rel));

