#include "math.h"
#include "limits.h"
#include "mex.h"

void mexFunction(int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[])
{
    const mxArray *mxIn;
    double *xValues, *outArray, *inArray;
    double element;
    int i, nIn;

    if (nrhs!=1)
        mexErrMsgTxt("There must be one and only input.");
    if (nlhs>1) /* can be "zero", in which case Matlab allows one */
        mexErrMsgTxt("There must be one and only output.");

    /* get information about the input */
    mxIn = prhs[0];
    inArray = mxGetPr(mxIn);
    nIn = mxGetNumberOfElements(prhs[0]);

    /* create output the same size as the input */
    plhs[0] = mxCreateNumericArray(
            mxGetNumberOfDimensions(mxIn),
            mxGetDimensions(mxIn),
            mxDOUBLE_CLASS, mxREAL);
    outArray = mxGetPr(plhs[0]);

    texp(inArray, outArray, nIn);
}

